'use strict';

var _utils = require('../utils');

describe('utils', function () {
  it('allowFalseValue should return false', function () {
    expect((0, _utils.allowFalseValue)(false, true)).toBe(false);
  });
  it('allowFalseValue should return true', function () {
    expect((0, _utils.allowFalseValue)(true, true)).toBe(true);
  });
  it('assertAscending true', function () {
    var asserted = (0, _utils.assertAscending)({
      xs: '0',
      sm: '576px',
      md: '768px',
      lg: '992px',
      xl: '1200px'
    });
    expect(asserted).toEqual(true);
  });
  it('assertAscending false', function () {
    var asserted = (0, _utils.assertAscending)({
      xs: '0',
      sm: '768px',
      md: '576px',
      lg: '992px',
      xl: '1200px'
    });
    expect(asserted).toEqual(false);
  });
  it('comparable true', function () {
    var res = (0, _utils.comparable)(1, 1);
    expect(res).toEqual(true);
  });
  it('comparable false', function () {
    var res = (0, _utils.comparable)(1, 'a');
    expect(res).toEqual(false);
  });
  it('assertStartAtZero true', function () {
    var res = (0, _utils.assertStartAtZero)({
      xs: '0',
      sm: '576px',
      md: '768px',
      lg: '992px',
      xl: '1200px'
    });
    expect(res).toEqual(true);
  });
  it('assertStartAtZero false', function () {
    var res = (0, _utils.assertStartAtZero)({
      sm: '576px',
      xs: '0',
      md: '768px',
      lg: '992px',
      xl: '1200px'
    });
    expect(res).toEqual(false);
  });
});